MissingH-1.4.0.1: Large utility library

Copyright | Copyright (C) 2004-2011 John Goerzen
License | BSD3
Maintainer | John Goerzen <jgoerzen@complete.org>
Stability | provisional
Portability | portable
Safe Haskell | None
Language | Haskell98

System.Debian

Contents

- Control or Similar File Utilities
- Version Number Utilities

Description

This module provides various helpful utilities for dealing with Debian files and programs.

Written by John Goerzen, jgoerzen@complete.org

Synopsis

- type ControlFile = [(String, String)]
- data DebVersion
- compareDebVersion :: String -> String -> IO Ordering
- checkDebVersion :: String -> String -> String -> IO Bool

# Control or Similar File Utilities

type ControlFile = [(String, String)] #

The type representing the contents of a Debian control file, or any control-like file (such as the output from apt-cache show, etc.)

# Version Number Utilities

data DebVersion #

The type representing a Debian version number. This type is an instance of `Ord`, but you can also use `compareDebVersion` if you prefer.

Instances

Eq DebVersion # |
Methods (==) :: DebVersion -> DebVersion -> Bool # (/=) :: DebVersion -> DebVersion -> Bool #
Ord DebVersion # |
Methods compare :: DebVersion -> DebVersion -> Ordering # (<) :: DebVersion -> DebVersion -> Bool # (<=) :: DebVersion -> DebVersion -> Bool # (>) :: DebVersion -> DebVersion -> Bool # (>=) :: DebVersion -> DebVersion -> Bool # max :: DebVersion -> DebVersion -> DebVersion # min :: DebVersion -> DebVersion -> DebVersion #

compareDebVersion :: String -> String -> IO Ordering #

Compare the versions of two packages.

checkDebVersion #

Arguments

:: String | Version 1
-> String | Operator
-> String | Version 2
-> IO Bool |